Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.datacopy
Class DataStructOrcl

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.knowgate.datacopy.DataStruct
              com.knowgate.datacopy.DataStructOrcl

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class DataStructOrcl

extends DataStruct

Field Summary

Fields inherited from class com.knowgate.datacopy.DataStruct
`After, Before, cTables, DataRowSets, DEFAULT_DYNAMIC_VALIDATION, DEFAULT_MEMORY_USAGE, DEFAULT_NAMESPACE_PREFIXES, DEFAULT_NAMESPACES, DEFAULT_PARSER_NAME, DEFAULT_REPETITION, DEFAULT_SCHEMA_FULL_CHECKING, DEFAULT_SCHEMA_VALIDATION, DEFAULT_TAGGINESS, DEFAULT_VALIDATION, DlStatements, DYNAMIC_VALIDATION_FEATURE_ID, FieldDefs, FieldMaps, iCols, InitStmts, iRows, NAMESPACE_PREFIXES_FEATURE_ID, NAMESPACES_FEATURE_ID, oFromPKs, oInsertTexts, oResults, OrMetaData, OrStatements, oSelectTexts, oToPKs, SCHEMA_FULL_CHECKING_FEATURE_ID, SCHEMA_VALIDATION_FEATURE_ID, TermStmts, Transformations, TrMetaData, TrStatements, UpStatements, VALIDATION_FEATURE_ID`

Constructor Summary
`DataStructOrcl()`
`DataStructOrcl(java.lang.String sPathXMLFile)`

Method Summary
`void` | `createSQLLoaderFiles(java.lang.String sBasePath)`
`void` | `dump(java.lang.Object[] OrPK, java.lang.Object[] TrPK, int cParams, java.lang.String sBasePath)`

Methods inherited from class com.knowgate.datacopy.DataStruct
`characters, clear, commit, composeError, connectOrigin, connectTarget, convert, createClassSource, disconnectAll, endElement, error, execCommands, fatalError, getOriginConnection, getResult, getRows, getRowSet, getTargetConnection, insert, mapType, parse, parse, prepareStatements, rollback, seekReferal, setAutoCommit, setOriginConnection, setTargetConnection, startDocument, startElement, update, warning`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping`

Constructor Detail

### DataStructOrcl

    public DataStructOrcl()

### DataStructOrcl

    public DataStructOrcl(java.lang.String sPathXMLFile)
                   throws java.lang.ClassNotFoundException,
                          java.lang.IllegalAccessException,
                          java.lang.InstantiationException,
                          java.io.IOException,
                          org.xml.sax.SAXException

Throws:
  `java.lang.ClassNotFoundException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`
  `java.io.IOException`
  `org.xml.sax.SAXException`

Method Detail

### createSQLLoaderFiles

    public void createSQLLoaderFiles(java.lang.String sBasePath)
                              throws java.io.IOException,
                                     java.sql.SQLException

  Throws:
    `java.io.IOException`
    `java.sql.SQLException`

### dump

    public void dump(java.lang.Object[] OrPK,
                     java.lang.Object[] TrPK,
                     int cParams,
                     java.lang.String sBasePath)
              throws java.sql.SQLException,
                     java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD